package com.fs.erp.dto;

import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 获取初始化Token响应DTO
 *
 * @author xdd
 * @version 1.0
 * @date 2025-02-27
 * @since 1.0
 */
@Data
@Accessors(chain = true)
public class GetInitTokenResponseDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 访问令牌
     */
    private String access_token;

    /**
     * access_token访问过期时间(单位:秒)
     */
    private Integer expires_in;

    /**
     * 更新令牌
     */
    private String refresh_token;

    /**
     * 权限范围(固定值:all)
     */
    private String scope;
}
